/*
SPDX-License-Identifier: GPL-3.0-or-later
Copyright © 2024 Mike Robeson [dijksterhuis]
*/
mod helpers;
use helpers::*;

use ot_tools_io::{OctatrackFileIO, ProjectFile};
use std::path::PathBuf;

#[allow(dead_code)]
struct Metadata {
    header: String,
    datatype_version: u8,
}

// read a project.* file and print out the string based configuration data
fn main() -> RBoxErr<()> {
    let blank_project_dirpath = PathBuf::from("test-data").join("blank-project");
    let project_fpath = blank_project_dirpath.join("project.work");
    ProjectFile::from_data_file(&project_fpath)?.repr(None)
}
